For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • GETGet version information
      • GETGets the OpenAPI spec in json
      • GETGets the public IP list
      • GETIdentify the caller
      • GETRoot resource
Sign inTry it free
LogoLogo
REST API overviewOther

Get version information

GET
/api/v2/versions
GET
/api/v2/versions
$curl https://app.launchdarkly.com/api/v2/versions \
> -H "Authorization: <apiKey>"
1{
2 "validVersions": [
3 1
4 ],
5 "latestVersion": 20220603,
6 "currentVersion": 20220603,
7 "beta": false
8}

Get the latest API version, the list of valid API versions in ascending order, and the version being used for this request. These are all in the external, date-based format.

Was this page helpful?
Previous

Gets the OpenAPI spec in json

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

Versions information response
validVersionslist of integers

A list of all valid API versions. To learn more about our versioning, read Versioning.

latestVersioninteger
The most recently released version of the API
currentVersioninteger

The version of the API currently in use. Typically this is the API version specified for your access token. If you add the LD-API-Version: beta header to your request, this will be equal to the latestVersion.

betaboolean

Whether the version of the API currently is use is a beta version. This is always true if you add the LD-API-Version: beta header to your request.

Errors

401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error